diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-rtable.h ns-3.44/src/aodv/model/aodv-rtable.h
--- ns-3.43/src/aodv/model/aodv-rtable.h	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-rtable.h	2025-03-09 16:55:49.343371000 -0700
@@ -33,8 +33,8 @@
 {
 
 /**
- * \ingroup aodv
- * \brief Route record states
+ * @ingroup aodv
+ * @brief Route record states
  */
 enum RouteFlags
 {
@@ -44,8 +44,8 @@
 };
 
 /**
- * \ingroup aodv
- * \brief Routing table entry
+ * @ingroup aodv
+ * @brief Routing table entry
  */
 class RoutingTableEntry
 {
@@ -53,14 +53,14 @@
     /**
      * constructor
      *
-     * \param dev the device
-     * \param dst the destination IP address
-     * \param vSeqNo verify sequence number flag
-     * \param seqNo the sequence number
-     * \param iface the interface
-     * \param hops the number of hops
-     * \param nextHop the IP address of the next hop
-     * \param lifetime the lifetime of the entry
+     * @param dev the device
+     * @param dst the destination IP address
+     * @param vSeqNo verify sequence number flag
+     * @param seqNo the sequence number
+     * @param iface the interface
+     * @param hops the number of hops
+     * @param nextHop the IP address of the next hop
+     * @param lifetime the lifetime of the entry
      */
     RoutingTableEntry(Ptr<NetDevice> dev = nullptr,
                       Ipv4Address dst = Ipv4Address(),
@@ -73,50 +73,50 @@
 
     ~RoutingTableEntry();
 
-    /// \name Precursors management
+    /// @name Precursors management
     //\{
     /**
      * Insert precursor in precursor list if it doesn't yet exist in the list
-     * \param id precursor address
-     * \return true on success
+     * @param id precursor address
+     * @return true on success
      */
     bool InsertPrecursor(Ipv4Address id);
     /**
      * Lookup precursor by address
-     * \param id precursor address
-     * \return true on success
+     * @param id precursor address
+     * @return true on success
      */
     bool LookupPrecursor(Ipv4Address id);
     /**
-     * \brief Delete precursor
-     * \param id precursor address
-     * \return true on success
+     * @brief Delete precursor
+     * @param id precursor address
+     * @return true on success
      */
     bool DeletePrecursor(Ipv4Address id);
     /// Delete all precursors
     void DeleteAllPrecursors();
     /**
      * Check that precursor list is empty
-     * \return true if precursor list is empty
+     * @return true if precursor list is empty
      */
     bool IsPrecursorListEmpty() const;
     /**
      * Inserts precursors in output parameter prec if they do not yet exist in vector
-     * \param prec vector of precursor addresses
+     * @param prec vector of precursor addresses
      */
     void GetPrecursors(std::vector<Ipv4Address>& prec) const;
     //\}
 
     /**
      * Mark entry as "down" (i.e. disable it)
-     * \param badLinkLifetime duration to keep entry marked as invalid
+     * @param badLinkLifetime duration to keep entry marked as invalid
      */
     void Invalidate(Time badLinkLifetime);
 
     // Fields
     /**
      * Get destination address function
-     * \returns the IPv4 destination address
+     * @returns the IPv4 destination address
      */
     Ipv4Address GetDestination() const
     {
@@ -125,7 +125,7 @@
 
     /**
      * Get route function
-     * \returns The IPv4 route
+     * @returns The IPv4 route
      */
     Ptr<Ipv4Route> GetRoute() const
     {
@@ -134,7 +134,7 @@
 
     /**
      * Set route function
-     * \param r the IPv4 route
+     * @param r the IPv4 route
      */
     void SetRoute(Ptr<Ipv4Route> r)
     {
@@ -143,7 +143,7 @@
 
     /**
      * Set next hop address
-     * \param nextHop the next hop IPv4 address
+     * @param nextHop the next hop IPv4 address
      */
     void SetNextHop(Ipv4Address nextHop)
     {
@@ -152,7 +152,7 @@
 
     /**
      * Get next hop address
-     * \returns the next hop address
+     * @returns the next hop address
      */
     Ipv4Address GetNextHop() const
     {
@@ -161,7 +161,7 @@
 
     /**
      * Set output device
-     * \param dev The output device
+     * @param dev The output device
      */
     void SetOutputDevice(Ptr<NetDevice> dev)
     {
@@ -170,7 +170,7 @@
 
     /**
      * Get output device
-     * \returns the output device
+     * @returns the output device
      */
     Ptr<NetDevice> GetOutputDevice() const
     {
@@ -179,7 +179,7 @@
 
     /**
      * Get the Ipv4InterfaceAddress
-     * \returns the Ipv4InterfaceAddress
+     * @returns the Ipv4InterfaceAddress
      */
     Ipv4InterfaceAddress GetInterface() const
     {
@@ -188,7 +188,7 @@
 
     /**
      * Set the Ipv4InterfaceAddress
-     * \param iface The Ipv4InterfaceAddress
+     * @param iface The Ipv4InterfaceAddress
      */
     void SetInterface(Ipv4InterfaceAddress iface)
     {
@@ -197,7 +197,7 @@
 
     /**
      * Set the valid sequence number
-     * \param s the sequence number
+     * @param s the sequence number
      */
     void SetValidSeqNo(bool s)
     {
@@ -206,7 +206,7 @@
 
     /**
      * Get the valid sequence number
-     * \returns the valid sequence number
+     * @returns the valid sequence number
      */
     bool GetValidSeqNo() const
     {
@@ -215,7 +215,7 @@
 
     /**
      * Set the sequence number
-     * \param sn the sequence number
+     * @param sn the sequence number
      */
     void SetSeqNo(uint32_t sn)
     {
@@ -224,7 +224,7 @@
 
     /**
      * Get the sequence number
-     * \returns the sequence number
+     * @returns the sequence number
      */
     uint32_t GetSeqNo() const
     {
@@ -233,7 +233,7 @@
 
     /**
      * Set the number of hops
-     * \param hop the number of hops
+     * @param hop the number of hops
      */
     void SetHop(uint16_t hop)
     {
@@ -242,7 +242,7 @@
 
     /**
      * Get the number of hops
-     * \returns the number of hops
+     * @returns the number of hops
      */
     uint16_t GetHop() const
     {
@@ -251,7 +251,7 @@
 
     /**
      * Set the lifetime
-     * \param lt The lifetime
+     * @param lt The lifetime
      */
     void SetLifeTime(Time lt)
     {
@@ -260,7 +260,7 @@
 
     /**
      * Get the lifetime
-     * \returns the lifetime
+     * @returns the lifetime
      */
     Time GetLifeTime() const
     {
@@ -269,7 +269,7 @@
 
     /**
      * Set the route flags
-     * \param flag the route flags
+     * @param flag the route flags
      */
     void SetFlag(RouteFlags flag)
     {
@@ -278,7 +278,7 @@
 
     /**
      * Get the route flags
-     * \returns the route flags
+     * @returns the route flags
      */
     RouteFlags GetFlag() const
     {
@@ -287,7 +287,7 @@
 
     /**
      * Set the RREQ count
-     * \param n the RREQ count
+     * @param n the RREQ count
      */
     void SetRreqCnt(uint8_t n)
     {
@@ -296,7 +296,7 @@
 
     /**
      * Get the RREQ count
-     * \returns the RREQ count
+     * @returns the RREQ count
      */
     uint8_t GetRreqCnt() const
     {
@@ -313,7 +313,7 @@
 
     /**
      * Set the unidirectional flag
-     * \param u the uni directional flag
+     * @param u the uni directional flag
      */
     void SetUnidirectional(bool u)
     {
@@ -322,7 +322,7 @@
 
     /**
      * Get the unidirectional flag
-     * \returns the unidirectional flag
+     * @returns the unidirectional flag
      */
     bool IsUnidirectional() const
     {
@@ -331,7 +331,7 @@
 
     /**
      * Set the blacklist timeout
-     * \param t the blacklist timeout value
+     * @param t the blacklist timeout value
      */
     void SetBlacklistTimeout(Time t)
     {
@@ -340,7 +340,7 @@
 
     /**
      * Get the blacklist timeout value
-     * \returns the blacklist timeout value
+     * @returns the blacklist timeout value
      */
     Time GetBlacklistTimeout() const
     {
@@ -351,9 +351,9 @@
     Timer m_ackTimer;
 
     /**
-     * \brief Compare destination address
-     * \param dst IP address to compare
-     * \return true if equal
+     * @brief Compare destination address
+     * @param dst IP address to compare
+     * @return true if equal
      */
     bool operator==(const Ipv4Address dst) const
     {
@@ -362,8 +362,8 @@
 
     /**
      * Print packet to trace file
-     * \param stream The output stream
-     * \param unit The time unit to use (default Time::S)
+     * @param stream The output stream
+     * @param unit The time unit to use (default Time::S)
      */
     void Print(Ptr<OutputStreamWrapper> stream, Time::Unit unit = Time::S) const;
 
@@ -375,7 +375,7 @@
     /// Hop Count (number of hops needed to reach destination)
     uint16_t m_hops;
     /**
-     * \brief Expiration or deletion time of the route
+     * @brief Expiration or deletion time of the route
      * Lifetime field in the routing table plays dual role:
      * for an active route it is the expiration time, and for an invalid route
      * it is the deletion time.
@@ -406,24 +406,24 @@
 };
 
 /**
- * \ingroup aodv
- * \brief The Routing table used by AODV protocol
+ * @ingroup aodv
+ * @brief The Routing table used by AODV protocol
  */
 class RoutingTable
 {
   public:
     /**
      * constructor
-     * \param t the routing table entry lifetime
+     * @param t the routing table entry lifetime
      */
     RoutingTable(Time t);
 
-    /// \name Handle lifetime of invalid route
+    /// @name Handle lifetime of invalid route
     //\{
     /**
      * Get the lifetime of a bad link
      *
-     * \return the lifetime of a bad link
+     * @return the lifetime of a bad link
      */
     Time GetBadLinkLifetime() const
     {
@@ -433,7 +433,7 @@
     /**
      * Set the lifetime of a bad link
      *
-     * \param t the lifetime of a bad link
+     * @param t the lifetime of a bad link
      */
     void SetBadLinkLifetime(Time t)
     {
@@ -443,48 +443,48 @@
     //\}
     /**
      * Add routing table entry if it doesn't yet exist in routing table
-     * \param r routing table entry
-     * \return true in success
+     * @param r routing table entry
+     * @return true in success
      */
     bool AddRoute(RoutingTableEntry& r);
     /**
      * Delete routing table entry with destination address dst, if it exists.
-     * \param dst destination address
-     * \return true on success
+     * @param dst destination address
+     * @return true on success
      */
     bool DeleteRoute(Ipv4Address dst);
     /**
      * Lookup routing table entry with destination address dst
-     * \param dst destination address
-     * \param rt entry with destination address dst, if exists
-     * \return true on success
+     * @param dst destination address
+     * @param rt entry with destination address dst, if exists
+     * @return true on success
      */
     bool LookupRoute(Ipv4Address dst, RoutingTableEntry& rt);
     /**
      * Lookup route in VALID state
-     * \param dst destination address
-     * \param rt entry with destination address dst, if exists
-     * \return true on success
+     * @param dst destination address
+     * @param rt entry with destination address dst, if exists
+     * @return true on success
      */
     bool LookupValidRoute(Ipv4Address dst, RoutingTableEntry& rt);
     /**
      * Update routing table
-     * \param rt entry with destination address dst, if exists
-     * \return true on success
+     * @param rt entry with destination address dst, if exists
+     * @return true on success
      */
     bool Update(RoutingTableEntry& rt);
     /**
      * Set routing table entry flags
-     * \param dst destination address
-     * \param state the routing flags
-     * \return true on success
+     * @param dst destination address
+     * @param state the routing flags
+     * @return true on success
      */
     bool SetEntryState(Ipv4Address dst, RouteFlags state);
     /**
      * Lookup routing entries with next hop Address dst and not empty list of precursors.
      *
-     * \param nextHop the next hop IP address
-     * \param unreachable
+     * @param nextHop the next hop IP address
+     * @param unreachable
      */
     void GetListOfDestinationWithNextHop(Ipv4Address nextHop,
                                          std::map<Ipv4Address, uint32_t>& unreachable);
@@ -494,12 +494,12 @@
      *    exists and is valid, is incremented.
      * 2. The entry is invalidated by marking the route entry as invalid
      * 3. The Lifetime field is updated to current time plus DELETE_PERIOD.
-     * \param unreachable routes to invalidate
+     * @param unreachable routes to invalidate
      */
     void InvalidateRoutesWithDst(const std::map<Ipv4Address, uint32_t>& unreachable);
     /**
      * Delete all route from interface with address iface
-     * \param iface the interface IP address
+     * @param iface the interface IP address
      */
     void DeleteAllRoutesFromInterface(Ipv4InterfaceAddress iface);
 
@@ -513,15 +513,15 @@
     void Purge();
     /** Mark entry as unidirectional (e.g. add this neighbor to "blacklist" for blacklistTimeout
      * period)
-     * \param neighbor neighbor address link to which assumed to be unidirectional
-     * \param blacklistTimeout time for which the neighboring node is put into the blacklist
-     * \return true on success
+     * @param neighbor neighbor address link to which assumed to be unidirectional
+     * @param blacklistTimeout time for which the neighboring node is put into the blacklist
+     * @return true on success
      */
     bool MarkLinkAsUnidirectional(Ipv4Address neighbor, Time blacklistTimeout);
     /**
      * Print routing table
-     * \param stream the output stream
-     * \param unit The time unit to use (default Time::S)
+     * @param stream the output stream
+     * @param unit The time unit to use (default Time::S)
      */
     void Print(Ptr<OutputStreamWrapper> stream, Time::Unit unit = Time::S) const;
 
@@ -532,7 +532,7 @@
     Time m_badLinkLifetime;
     /**
      * const version of Purge, for use by Print() method
-     * \param table the routing table entry to purge
+     * @param table the routing table entry to purge
      */
     void Purge(std::map<Ipv4Address, RoutingTableEntry>& table) const;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/aodv-id-cache-test-suite.cc ns-3.44/src/aodv/test/aodv-id-cache-test-suite.cc
--- ns-3.43/src/aodv/test/aodv-id-cache-test-suite.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/test/aodv-id-cache-test-suite.cc	2025-03-09 16:55:49.343371000 -0700
@@ -22,15 +22,15 @@
 {
 
 /**
- * \defgroup aodv-test AODV module tests
- * \ingroup aodv
- * \ingroup tests
+ * @defgroup aodv-test AODV module tests
+ * @ingroup aodv
+ * @ingroup tests
  */
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for id cache
+ * @brief Unit test for id cache
  */
 class IdCacheTest : public TestCase
 {
@@ -99,9 +99,9 @@
 }
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Id Cache Test Suite
+ * @brief Id Cache Test Suite
  */
 class IdCacheTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/aodv-regression.cc ns-3.44/src/aodv/test/aodv-regression.cc
--- ns-3.43/src/aodv/test/aodv-regression.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/test/aodv-regression.cc	2025-03-09 16:55:49.343371000 -0700
@@ -33,9 +33,9 @@
 using namespace ns3;
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief AODV regression test suite
+ * @brief AODV regression test suite
  */
 class AodvRegressionTestSuite : public TestSuite
 {
@@ -57,9 +57,9 @@
 } g_aodvRegressionTestSuite; ///< the test suite
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Chain Regression Test
+ * @brief Chain Regression Test
  */
 ChainRegressionTest::ChainRegressionTest(const char* const prefix,
                                          Time t,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/aodv-regression.h ns-3.44/src/aodv/test/aodv-regression.h
--- ns-3.43/src/aodv/test/aodv-regression.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/aodv/test/aodv-regression.h	2025-03-09 16:55:49.343371000 -0700
@@ -17,9 +17,9 @@
 using namespace ns3;
 
 /**
- * \ingroup aodv
+ * @ingroup aodv
  *
- * \brief AODV chain regression test
+ * @brief AODV chain regression test
  *
  * This script creates 1-dimensional grid topology and then ping last node from the first one:
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/aodv-test-suite.cc ns-3.44/src/aodv/test/aodv-test-suite.cc
--- ns-3.43/src/aodv/test/aodv-test-suite.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/aodv/test/aodv-test-suite.cc	2025-03-09 16:55:49.343371000 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for neighbors
+ * @brief Unit test for neighbors
  */
 struct NeighborTest : public TestCase
 {
@@ -33,7 +33,7 @@
     void DoRun() override;
     /**
      * Handler test function
-     * \param addr the IPv4 address of the neighbor
+     * @param addr the IPv4 address of the neighbor
      */
     void Handler(Ipv4Address addr);
     /// Check timeout function 1
@@ -123,9 +123,9 @@
 }
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Type header test case
+ * @brief Type header test case
  */
 struct TypeHeaderTest : public TestCase
 {
@@ -150,9 +150,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for RREQ
+ * @brief Unit test for RREQ
  */
 struct RreqHeaderTest : public TestCase
 {
@@ -209,9 +209,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for RREP
+ * @brief Unit test for RREP
  */
 struct RrepHeaderTest : public TestCase
 {
@@ -266,9 +266,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for RREP-ACK
+ * @brief Unit test for RREP-ACK
  */
 struct RrepAckHeaderTest : public TestCase
 {
@@ -290,9 +290,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for RERR
+ * @brief Unit test for RERR
  */
 struct RerrHeaderTest : public TestCase
 {
@@ -324,9 +324,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for AODV routing table entry
+ * @brief Unit test for AODV routing table entry
  */
 struct QueueEntryTest : public TestCase
 {
@@ -337,9 +337,9 @@
 
     /**
      * Unicast test function
-     * \param route the IPv4 route
-     * \param packet the packet
-     * \param header the IPv4 header
+     * @param route the IPv4 route
+     * @param packet the packet
+     * @param header the IPv4 header
      */
     void Unicast(Ptr<Ipv4Route> route, Ptr<const Packet> packet, const Ipv4Header& header)
     {
@@ -347,9 +347,9 @@
 
     /**
      * Error test function
-     * \param p The packet
-     * \param h The header
-     * \param e the socket error
+     * @param p The packet
+     * @param h The header
+     * @param e the socket error
      */
     void Error(Ptr<const Packet> p, const Ipv4Header& h, Socket::SocketErrno e)
     {
@@ -357,9 +357,9 @@
 
     /**
      * Unicast 2 testfunction
-     * \param route The IPv4 route
-     * \param packet The packet
-     * \param header The header
+     * @param route The IPv4 route
+     * @param packet The packet
+     * @param header The header
      */
     void Unicast2(Ptr<Ipv4Route> route, Ptr<const Packet> packet, const Ipv4Header& header)
     {
@@ -367,9 +367,9 @@
 
     /**
      * Error2 test function
-     * \param p The packet
-     * \param h The header
-     * \param e the socket error
+     * @param p The packet
+     * @param h The header
+     * @param e the socket error
      */
     void Error2(Ptr<const Packet> p, const Ipv4Header& h, Socket::SocketErrno e)
     {
@@ -425,9 +425,9 @@
 
     /**
      * Unicast test function
-     * \param route the IPv4 route
-     * \param packet the packet
-     * \param header the IPv4 header
+     * @param route the IPv4 route
+     * @param packet the packet
+     * @param header the IPv4 header
      */
     void Unicast(Ptr<Ipv4Route> route, Ptr<const Packet> packet, const Ipv4Header& header)
     {
@@ -435,9 +435,9 @@
 
     /**
      * Error test function
-     * \param p The packet
-     * \param h The header
-     * \param e the socket error
+     * @param p The packet
+     * @param h The header
+     * @param e the socket error
      */
     void Error(Ptr<const Packet> p, const Ipv4Header& h, Socket::SocketErrno e)
     {
@@ -540,9 +540,9 @@
 }
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for AODV routing table entry
+ * @brief Unit test for AODV routing table entry
  */
 struct AodvRtableEntryTest : public TestCase
 {
@@ -633,9 +633,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief Unit test for AODV routing table
+ * @brief Unit test for AODV routing table
  */
 struct AodvRtableTest : public TestCase
 {
@@ -720,9 +720,9 @@
 };
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief AODV test suite
+ * @brief AODV test suite
  */
 class AodvTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/bug-772.cc ns-3.44/src/aodv/test/bug-772.cc
--- ns-3.43/src/aodv/test/bug-772.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/aodv/test/bug-772.cc	2025-03-09 16:55:49.343371000 -0700
@@ -146,9 +146,7 @@
                                  "DataMode",
                                  StringValue("OfdmRate6Mbps"),
                                  "RtsCtsThreshold",
-                                 StringValue("2200"),
-                                 "MaxSlrc",
-                                 UintegerValue(7));
+                                 StringValue("2200"));
     NetDeviceContainer devices = wifi.Install(wifiPhy, wifiMac, *m_nodes);
 
     // Assign fixed stream numbers to wifi and channel random variables
@@ -184,7 +182,7 @@
     m_sendSocket->Connect(InetSocketAddress(interfaces.GetAddress(m_size - 1), m_port));
     m_sendSocket->SetAllowBroadcast(true);
     Simulator::ScheduleWithContext(m_sendSocket->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &Bug772ChainTest::SendData,
                                    this,
                                    m_sendSocket);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/bug-772.h ns-3.44/src/aodv/test/bug-772.h
--- ns-3.43/src/aodv/test/bug-772.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/aodv/test/bug-772.h	2025-03-09 16:55:49.343371000 -0700
@@ -17,9 +17,9 @@
 using namespace ns3;
 
 /**
- * \ingroup aodv
+ * @ingroup aodv
  *
- * \brief AODV deferred route lookup test case (see \bugid{772})
+ * @brief AODV deferred route lookup test case (see \bugid{772})
  *
  * UDP packet transfers are delayed while a route is found and then while
  * ARP completes.  Eight packets should be sent, queued until the path
@@ -31,16 +31,16 @@
     /**
      * Create test case
      *
-     * \param prefix              Unique file names prefix
-     * \param proto               ns3::UdpSocketFactory or ns3::TcpSocketFactory
-     * \param size                Number of nodes in the chain
-     * \param time                Simulation time
+     * @param prefix              Unique file names prefix
+     * @param proto               ns3::UdpSocketFactory or ns3::TcpSocketFactory
+     * @param size                Number of nodes in the chain
+     * @param time                Simulation time
      */
     Bug772ChainTest(const char* const prefix, const char* const proto, Time time, uint32_t size);
     ~Bug772ChainTest() override;
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
 
     /// PCAP file names prefix
@@ -66,7 +66,7 @@
     void DoRun() override;
     /**
      * Receive data function
-     * \param socket the socket to receive from
+     * @param socket the socket to receive from
      */
     void HandleRead(Ptr<Socket> socket);
 
@@ -80,7 +80,7 @@
 
     /**
      * Send data
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendData(Ptr<Socket> socket);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/test/loopback.cc ns-3.44/src/aodv/test/loopback.cc
--- ns-3.43/src/aodv/test/loopback.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/aodv/test/loopback.cc	2025-03-09 16:55:49.343371000 -0700
@@ -35,9 +35,9 @@
 {
 
 /**
- * \ingroup aodv
+ * @ingroup aodv
  *
- * \brief AODV loopback UDP echo test case
+ * @brief AODV loopback UDP echo test case
  */
 class LoopbackTestCase : public TestCase
 {
@@ -50,17 +50,17 @@
 
     /**
      * Send data function
-     * \param socket The socket to send data
+     * @param socket The socket to send data
      */
     void SendData(Ptr<Socket> socket);
     /**
      * Receive packet function
-     * \param socket The socket to receive data
+     * @param socket The socket to receive data
      */
     void ReceivePkt(Ptr<Socket> socket);
     /**
      * Echo data function
-     * \param socket The socket to echo data
+     * @param socket The socket to echo data
      */
     void EchoData(Ptr<Socket> socket) const;
 
@@ -107,7 +107,7 @@
     socket->SendTo(Create<Packet>(123), 0, realTo);
 
     Simulator::ScheduleWithContext(socket->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &LoopbackTestCase::SendData,
                                    this,
                                    socket);
@@ -158,7 +158,7 @@
     m_txSocket = socketFactory->CreateSocket();
 
     Simulator::ScheduleWithContext(m_txSocket->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &LoopbackTestCase::SendData,
                                    this,
                                    m_txSocket);
@@ -178,9 +178,9 @@
 }
 
 /**
- * \ingroup aodv-test
+ * @ingroup aodv-test
  *
- * \brief AODV Loopback test suite
+ * @brief AODV Loopback test suite
  */
 class AodvLoopbackTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/CMakeLists.txt ns-3.44/src/applications/CMakeLists.txt
--- ns-3.43/src/applications/CMakeLists.txt	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/CMakeLists.txt	2025-03-09 16:55:49.343371000 -0700
@@ -15,6 +15,8 @@
     model/seq-ts-echo-header.cc
     model/seq-ts-header.cc
     model/seq-ts-size-header.cc
+    model/sink-application.cc
+    model/source-application.cc
     model/three-gpp-http-client.cc
     model/three-gpp-http-header.cc
     model/three-gpp-http-server.cc
@@ -39,6 +41,8 @@
     model/seq-ts-echo-header.h
     model/seq-ts-header.h
     model/seq-ts-size-header.h
+    model/sink-application.h
+    model/source-application.h
     model/three-gpp-http-client.h
     model/three-gpp-http-header.h
     model/three-gpp-http-server.h
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/doc/applications.h ns-3.44/src/applications/doc/applications.h
--- ns-3.43/src/applications/doc/applications.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/doc/applications.h	2025-03-09 16:55:49.343371000 -0700
@@ -7,7 +7,7 @@
 #define APPLICATIONS_H
 
 /**
- * \defgroup applications Applications
+ * @defgroup applications Applications
  *
  * This section documents the API of the ns-3 applications module. For a generic functional
  * description, please refer to the ns-3 manual.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/helper/bulk-send-helper.cc ns-3.44/src/applications/helper/bulk-send-helper.cc
--- ns-3.43/src/applications/helper/bulk-send-helper.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/helper/bulk-send-helper.cc	2025-03-09 16:55:49.347370900 -0700
@@ -10,7 +10,7 @@
 
 #include "bulk-send-helper.h"
 
-#include <ns3/string.h>
+#include "ns3/string.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/helper/bulk-send-helper.h ns-3.44/src/applications/helper/bulk-send-helper.h
--- ns-3.43/src/applications/helper/bulk-send-helper.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/helper/bulk-send-helper.h	2025-03-09 16:55:49.347370900 -0700
@@ -11,14 +11,14 @@
 #ifndef BULK_SEND_HELPER_H
 #define BULK_SEND_HELPER_H
 
-#include <ns3/application-helper.h>
+#include "ns3/application-helper.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup bulksend
- * \brief A helper to make it easier to instantiate an ns3::BulkSendApplication
+ * @ingroup bulksend
+ * @brief A helper to make it easier to instantiate an ns3::BulkSendApplication
  * on a set of nodes.
  */
 class BulkSendHelper : public ApplicationHelper
@@ -27,11 +27,11 @@
     /**
      * Create an BulkSendHelper to make it easier to work with BulkSendApplications
      *
-     * \param protocol the name of the protocol to use to send traffic
+     * @param protocol the name of the protocol to use to send traffic
      *        by the applications. This string identifies the socket
      *        factory type used to create sockets for the applications.
      *        A typical value would be ns3::TcpSocketFactory.
-     * \param address the address of the remote node to send traffic
+     * @param address the address of the remote node to send traffic
      *        to.
      */
     BulkSendHelper(const std::string& protocol, const Address& address);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/helper/on-off-helper.cc ns-3.44/src/applications/helper/on-off-helper.cc
--- ns-3.43/src/applications/helper/on-off-helper.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/helper/on-off-helper.cc	2025-03-09 16:55:49.347370900 -0700
@@ -8,9 +8,9 @@
 
 #include "on-off-helper.h"
 
-#include <ns3/onoff-application.h>
-#include <ns3/string.h>
-#include <ns3/uinteger.h>
+#include "ns3/onoff-application.h"
+#include "ns3/string.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
